<template>
  <div class="d-flex justify-content-center container">
    <div class="text-left">
      <input class="form-control" type="text" placeholder="Input resto name" v-model="resto" />
      <br>
      <input class="form-control" type="text" placeholder="Input cashier name" v-model="kasir" />
      <br><br>
      <input class="form-control" type="text" placeholder="Input Item" v-model="item"><br>
      <input class="form-control" type="number" placeholder="Input Price" v-model="price"><br>
      <button class="btn btn-success" @click="addItem">add item</button>
        <!-- SOURCE -->
      <div id="printMe" class="mt-4">
        <h1 class="text-center">{{resto}}</h1>
        <div>Date : {{datetanggal}}</div>
        <div>Kasir : {{kasir}}</div>
        <div>======================</div>
        <div v-for="(itemprice, index) in itemprices" :key="index">
          <div>{{itemprice.item}}.......................Rp. {{itemprice.price}}</div>
        </div>
        <div>Total : {{total}}</div>
      </div>
      <!-- OUTPUT -->
      <button  class="btn btn-secondary mt-4" @click="print">Cetak</button>
    </div>
  </div>
</template>

<script>
// @ is an alias to /src

export default {
  name: 'Home',
  components: {
  },
  data () {
    return {
      item: '',
      resto: '',
      kasir: '',
      price: '',
      datetanggal: '',
      itemprices: [],
      output: null,
      total: ''
    }
  },
    methods: {
      addItem () {
        const today = new Date();
        const date = today.getFullYear()+'-'+(today.getMonth()+1)+'-'+today.getDate();
        const time = today.getHours() + ":" + today.getMinutes() + ":" + today.getSeconds();
        const dateTime = date +' '+ time;
        this.datetanggal = dateTime;
        this.itemprices.push({
          'item': this.item,
          'price': parseInt(this.price)
        })
        this.item = ''
        this.price = ''
        var sum = 0
          this.itemprices.forEach(e => {
             sum = sum + e.price;
          });
          this.total = sum
      },
       print () {
      // Pass the element id here
      this.$htmlToPaper('printMe');
    }
    }

}
</script>

<style>
#printMe {
  border: solid 1px black;
  padding: 1rem;
  border-radius: 20px;
}
</style>
